## libdumb 0.9.2

=== Makefile ===
# Main Makefile for DUMB.

# In theory, this Makefile can be used without modifications on DOS, Windows,
# Linux, BeOS and Mac OS X. Caveats are as follows:

# - For DOS and Windows users, COMSPEC (or ComSpec) must be set to point to
#   command.com or cmd.exe. If they point to a Unix-style shell, this
#   Makefile will die horribly.

# - Users of other platforms must NOT set COMSPEC or ComSpec. They must be
#   undefined.

# Commands are as follows:

#   make           - Build the library (does make config for you first time).
#   make install   - Install the library and examples into the system.
#   make uninstall - Remove the above.
#   make config    - Do or redo the configuration.
#   make clean     - Delete all object files; examples and libraries remain.
#   make veryclean - Delete examples and libraries too.

# TODO: consider whether to delete config.txt and/or dumbask(.exe)


.PHONY: all install uninstall clean veryclean config config-if-necessary

PHONY_TARGETS := core allegro core-examples allegro-examples core-headers allegro-headers

.PHONY: $(PHONY_TARGETS)
.PHONY: $(PHONY_TARGETS:%=install-%)
.PHONY: $(PHONY_TARGETS:%=uninstall-%)


COMMA := ,

CC := gcc
AR := ar


# Configuration.
# The configuration is done by an MS-DOS batch file if COMSPEC is set.
# Otherwise it is done by a Unix shell script. A file called 'config.txt',
# containing variables that control the build process, is created, and
# included by this Makefile.


ifeq "$(COMSPEC)" ""
ifdef ComSpec
COMSPEC := $(ComSpec)
endif
endif


-include make/config.txt


ifeq "$(OSTYPE)" "beos"

INCLUDE_INSTALL_PATH := /boot/develop/headers
LIB_INSTALL_PATH := /boot/develop/lib/x86
BIN_INSTALL_PATH := /boot/home/config/bin
# DEFAULT_PREFIX is not set, so config.sh will not prompt for PREFIX.
LINK_MATH :=

else

ifdef PREFIX
DEFAULT_PREFIX := $(PREFIX)
else
DEFAULT_PREFIX := /usr/local
endif
export DEFAULT_PREFIX
INCLUDE_INSTALL_PATH := $(PREFIX)/include
LIB_INSTALL_PATH := $(PREFIX)/lib
BIN_INSTALL_PATH := $(PREFIX)/bin

endif


all: config-if-necessary
	@$(MAKE) --no-print-directory $(ALL_TARGETS)
	$(call ECHO,DUMB has been built. Run $(APOST)make install$(APOST) to install it.)

install: config-if-necessary
	@$(MAKE) --no-print-directory $(ALL_TARGETS:%=install-%)
	$(call ECHO,DUMB has been installed.)
	$(call ECHO,See readme.txt for details on the example programs.)
	$(call ECHO,When you$(APOST)re ready to start using DUMB$(COMMA) see docs/howto.txt.)
	$(call ECHO,Enjoy!)

uninstall: config-if-necessary
	@$(MAKE) --no-print-directory $(ALL_TARGETS:%=uninstall-%)
	$(call ECHO,DUMB has been uninstalled.)


ifdef COMSPEC
# Assume DOS or Windows.
SHELL := $(COMSPEC)
CONFIG_COMMAND := make\config.bat
DUMBASK_EXE := make/dumbask.exe
else
# Assume a Unix-compatible system.
CONFIG_COMMAND := make/config.sh
DUMBASK_EXE := make/dumbask
endif

# This will always configure.
config: $(DUMBASK_EXE)
	$(CONFIG_COMMAND)

# This will only configure if the configuration file is absent. We don't use
# config.txt as the target name, because Make then runs the config initially,
# and again when it sees the 'config' target, so an initial 'make config'
# causes the configuration to be done twice.
ifeq "$(wildcard make/config.txt)" ""
config-if-necessary: config
else
config-if-necessary:
endif

$(DUMBASK_EXE): make/dumbask.c
	$(CC) $< -o $@


ifdef PLATFORM


# Build.


CORE_MODULES :=            \
    core/atexit.c          \
    core/duhlen.c          \
    core/dumbfile.c        \
    core/loadduh.c         \
    core/makeduh.c         \
    core/rawsig.c          \
    core/readduh.c         \
    core/register.c        \
    core/rendduh.c         \
    core/rendsig.c         \
    core/unload.c          \
    helpers/clickrem.c     \
    helpers/memfile.c      \
    helpers/resample.c     \
    helpers/sampbuf.c      \
    helpers/silence.c      \
    helpers/stdfile.c      \
    it/itload.c            \
    it/itread.c            \
    it/itrender.c          \
    it/itunload.c          \
    it/loads3m.c           \
    it/reads3m.c           \
    it/loadxm.c            \
    it/readxm.c            \
    it/loadmod.c           \
    it/readmod.c           \
    it/xmeffect.c          \
    it/itorder.c           \
    it/itmisc.c

ALLEGRO_MODULES :=         \
    allegro/alplay.c       \
    allegro/datduh.c       \
    allegro/datit.c        \
    allegro/datxm.c        \
    allegro/dats3m.c       \
    allegro/datmod.c       \
    allegro/datunld.c      \
    allegro/packfile.c

CORE_EXAMPLES := examples/dumbout.c
ALLEGRO_EXAMPLES := examples/dumbplay.c

CORE_HEADERS := include/dumb.h
ALLEGRO_HEADERS := include/aldumb.h


LIBDIR := lib/$(PLATFORM)
OBJDIR_BASE := obj/$(PLATFORM)


WFLAGS := -Wall -W -Wwrite-strings -Wstrict-prototypes -Wmissing-declarations -DDUMB_DECLARE_DEPRECATED
WFLAGS_ALLEGRO := -Wno-missing-declarations
OFLAGS := -O2 -ffast-math -fomit-frame-pointer
DBGFLAGS := -DDEBUGMODE=1 -g3

CFLAGS_RELEASE := -Iinclude $(WFLAGS) $(OFLAGS)
CFLAGS_DEBUG := -Iinclude $(WFLAGS) $(DBGFLAGS)

LDFLAGS := -s


CORE_EXAMPLES_OBJ := $(addprefix examples/, $(notdir $(patsubst %.c, %.o, $(CORE_EXAMPLES))))
ALLEGRO_EXAMPLES_OBJ := $(addprefix examples/, $(notdir $(patsubst %.c, %.o, $(ALLEGRO_EXAMPLES))))

CORE_EXAMPLES_EXE := $(addprefix examples/, $(notdir $(patsubst %.c, %$(EXE_SUFFIX), $(CORE_EXAMPLES))))
ALLEGRO_EXAMPLES_EXE := $(addprefix examples/, $(notdir $(patsubst %.c, %$(EXE_SUFFIX), $(ALLEGRO_EXAMPLES))))


CORE_LIB_FILE_RELEASE := $(LIBDIR)/libdumb.a
ALLEGRO_LIB_FILE_RELEASE := $(LIBDIR)/libaldmb.a

CORE_LIB_FILE_DEBUG := $(LIBDIR)/libdumbd.a
ALLEGRO_LIB_FILE_DEBUG := $(LIBDIR)/libaldmd.a


core: $(CORE_LIB_FILE_RELEASE) $(CORE_LIB_FILE_DEBUG)
allegro: $(ALLEGRO_LIB_FILE_RELEASE) $(ALLEGRO_LIB_FILE_DEBUG)

core-examples: $(CORE_EXAMPLES_EXE)
allegro-examples: $(ALLEGRO_EXAMPLES_EXE)

core-headers:

allegro-headers:

install-core: core
	$(call COPY,$(CORE_LIB_FILE_RELEASE),$(LIB_INSTALL_PATH))
	$(call COPY,$(CORE_LIB_FILE_DEBUG),$(LIB_INSTALL_PATH))

install-allegro: allegro
	$(call COPY,$(ALLEGRO_LIB_FILE_RELEASE),$(LIB_INSTALL_PATH))
	$(call COPY,$(ALLEGRO_LIB_FILE_DEBUG),$(LIB_INSTALL_PATH))

ifeq "$(COMSPEC)" ""
install-core-examples: core-examples
	$(call COPY,$(CORE_EXAMPLES_EXE),$(BIN_INSTALL_PATH))

install-allegro-examples: allegro-examples
	$(call COPY,$(ALLEGRO_EXAMPLES_EXE),$(BIN_INSTALL_PATH))
else
# Don't install the examples on a Windows system.
install-core-examples:
install-allegro-examples:
endif

install-core-headers:
	$(call COPY,$(CORE_HEADERS),$(INCLUDE_INSTALL_PATH))

install-allegro-headers:
	$(call COPY,$(ALLEGRO_HEADERS),$(INCLUDE_INSTALL_PATH))


uninstall-core:
	$(call DELETE,$(LIB_INSTALL_PATH)/$(notdir $(CORE_LIB_FILE_RELEASE)))
	$(call DELETE,$(LIB_INSTALL_PATH)/$(notdir $(CORE_LIB_FILE_DEBUG)))

uninstall-allegro:
	$(call DELETE,$(LIB_INSTALL_PATH)/$(notdir $(ALLEGRO_LIB_FILE_RELEASE)))
	$(call DELETE,$(LIB_INSTALL_PATH)/$(notdir $(ALLEGRO_LIB_FILE_DEBUG)))

ifeq "$COMSPEC" ""
uninstall-core-examples:
	$(call DELETE,$(patsubst %,$(BIN_INSTALL_PATH)/%,$(notdir $(CORE_EXAMPLES_EXE))))

uninstall-allegro-examples:
	$(call DELETE,$(patsubst %,$(BIN_INSTALL_PATH)/%,$(notdir $(ALLEGRO_EXAMPLES_EXE))))
else
# The examples wouldn't have been installed on a Windows system.
uninstall-core-examples:
uninstall-allegro-examples:
endif

uninstall-core-headers:
	$(call DELETE,$(patsubst %,$(INCLUDE_INSTALL_PATH)/%,$(notdir $(CORE_HEADERS))))

uninstall-allegro-headers:
	$(call DELETE,$(patsubst %,$(INCLUDE_INSTALL_PATH)/%,$(notdir $(ALLEGRO_HEADERS))))


OBJDIR := $(OBJDIR_BASE)/release
CFLAGS := $(CFLAGS_RELEASE)
CORE_LIB_FILE := $(LIBDIR)/libdumb.a
ALLEGRO_LIB_FILE := $(LIBDIR)/libaldmb.a
include make/Makefile.inc

OBJDIR := $(OBJDIR_BASE)/debug
CFLAGS := $(CFLAGS_DEBUG)
CORE_LIB_FILE := $(LIBDIR)/libdumbd.a
ALLEGRO_LIB_FILE := $(LIBDIR)/libaldmd.a
include make/Makefile.inc


$(CORE_EXAMPLES_EXE): examples/%$(EXE_SUFFIX): examples/%.o $(CORE_LIB_FILE_RELEASE)
	$(CC) $^ -o $@ $(LDFLAGS) $(LINK_MATH)

$(ALLEGRO_EXAMPLES_EXE): examples/%$(EXE_SUFFIX): examples/%.o $(ALLEGRO_LIB_FILE_RELEASE) $(CORE_LIB_FILE_RELEASE)
	$(CC) $^ -o $@ $(LDFLAGS) $(LINK_ALLEGRO)

$(CORE_EXAMPLES_OBJ): examples/%.o: examples/%.c include/dumb.h
	$(CC) -c $< -o $@ $(CFLAGS_RELEASE)

$(ALLEGRO_EXAMPLES_OBJ): examples/%.o: examples/%.c include/dumb.h include/aldumb.h
	$(CC) -c $< -o $@ $(CFLAGS_RELEASE) -Wno-missing-declarations


clean:
	$(call DELETE,$(call FIX,$(OBJDIR_BASE)/release/*.o))
	$(call DELETE,$(call FIX,$(OBJDIR_BASE)/debug/*.o))
	$(call DELETE,$(call FIX,examples/*.o))

veryclean: clean
	$(call DELETE,$(call FIX,$(CORE_LIB_FILE)))
	$(call DELETE,$(call FIX,$(ALLEGRO_LIB_FILE)))
	$(call DELETE,$(call FIX,$(CORE_EXAMPLES_EXE)))
	$(call DELETE,$(call FIX,$(ALLEGRO_EXAMPLES_EXE)))


endif # ifdef PLATFORM

## libdumb 0.9.3

=== Makefile ===
--- 
+++ 
@@ -18,11 +18,13 @@
 #   make config    - Do or redo the configuration.
 #   make clean     - Delete all object files; examples and libraries remain.
 #   make veryclean - Delete examples and libraries too.
-
-# TODO: consider whether to delete config.txt and/or dumbask(.exe)
-
-
-.PHONY: all install uninstall clean veryclean config config-if-necessary
+#   make distclean - Delete examples, libraries and configuration.
+#                    (Note that this is unable to delete the dumbask
+#                    executable if the configuration is absent.)
+
+MAKEFILE = Makefile.rdy
+
+.PHONY: all install uninstall clean veryclean distclean config config-if-necessary make-outdirs
 
 PHONY_TARGETS := core allegro core-examples allegro-examples core-headers allegro-headers
 
@@ -33,7 +35,15 @@
 
 COMMA := ,
 
+ifdef USE_ICC
+CC := icc
+else
+ifdef USE_SGICC
+CC := cc
+else
 CC := gcc
+endif
+endif
 AR := ar
 
 
@@ -77,19 +87,19 @@
 endif
 
 
-all: config-if-necessary
-	@$(MAKE) --no-print-directory $(ALL_TARGETS)
+all: config-if-necessary make-outdirs
+	@$(MAKE) -f $(MAKEFILE) --no-print-directory $(ALL_TARGETS)
 	$(call ECHO,DUMB has been built. Run $(APOST)make install$(APOST) to install it.)
 
 install: config-if-necessary
-	@$(MAKE) --no-print-directory $(ALL_TARGETS:%=install-%)
+	@$(MAKE) -f $(MAKEFILE) --no-print-directory $(ALL_TARGETS:%=install-%)
 	$(call ECHO,DUMB has been installed.)
 	$(call ECHO,See readme.txt for details on the example programs.)
 	$(call ECHO,When you$(APOST)re ready to start using DUMB$(COMMA) see docs/howto.txt.)
 	$(call ECHO,Enjoy!)
 
 uninstall: config-if-necessary
-	@$(MAKE) --no-print-directory $(ALL_TARGETS:%=uninstall-%)
+	@$(MAKE) -f $(MAKEFILE) --no-print-directory $(ALL_TARGETS:%=uninstall-%)
 	$(call ECHO,DUMB has been uninstalled.)
 
 
@@ -131,6 +141,7 @@
 CORE_MODULES :=            \
     core/atexit.c          \
     core/duhlen.c          \
+    core/duhtag.c          \
     core/dumbfile.c        \
     core/loadduh.c         \
     core/makeduh.c         \
@@ -148,6 +159,8 @@
     helpers/stdfile.c      \
     it/itload.c            \
     it/itread.c            \
+    it/itload2.c           \
+    it/itread2.c           \
     it/itrender.c          \
     it/itunload.c          \
     it/loads3m.c           \
@@ -156,6 +169,12 @@
     it/readxm.c            \
     it/loadmod.c           \
     it/readmod.c           \
+    it/loads3m2.c          \
+    it/reads3m2.c          \
+    it/loadxm2.c           \
+    it/readxm2.c           \
+    it/loadmod2.c          \
+    it/readmod2.c          \
     it/xmeffect.c          \
     it/itorder.c           \
     it/itmisc.c
@@ -167,10 +186,14 @@
     allegro/datxm.c        \
     allegro/dats3m.c       \
     allegro/datmod.c       \
+    allegro/datitq.c       \
+    allegro/datxmq.c       \
+    allegro/dats3mq.c      \
+    allegro/datmodq.c      \
     allegro/datunld.c      \
     allegro/packfile.c
 
-CORE_EXAMPLES := examples/dumbout.c
+CORE_EXAMPLES := examples/dumbout.c examples/dumb2wav.c
 ALLEGRO_EXAMPLES := examples/dumbplay.c
 
 CORE_HEADERS := include/dumb.h
@@ -180,11 +203,33 @@
 LIBDIR := lib/$(PLATFORM)
 OBJDIR_BASE := obj/$(PLATFORM)
 
-
+make-outdirs:
+	-$(call MKDIR,lib)
+	-$(call MKDIR,lib/$(PLATFORM))
+	-$(call MKDIR,obj)
+	-$(call MKDIR,obj/$(PLATFORM))
+	-$(call MKDIR,obj/$(PLATFORM)/debug)
+	-$(call MKDIR,obj/$(PLATFORM)/release)
+
+
+ifdef USE_ICC
+WFLAGS := -Wall -DDUMB_DECLARE_DEPRECATED
+WFLAGS_ALLEGRO :=
+OFLAGS := -O2
+DBGFLAGS := -DDEBUGMODE=1
+else
+ifdef USE_SGICC
+WFLAGS := -fullwarn -DDUMB_DECLARE_DEPRECATED
+WFLAGS_ALLEGRO :=
+OFLAGS := -n32 -O2 -use_readonly_const
+DBGFLAGS := -n32 -g3 -DDEBUGMODE=1
+else
 WFLAGS := -Wall -W -Wwrite-strings -Wstrict-prototypes -Wmissing-declarations -DDUMB_DECLARE_DEPRECATED
 WFLAGS_ALLEGRO := -Wno-missing-declarations
 OFLAGS := -O2 -ffast-math -fomit-frame-pointer
 DBGFLAGS := -DDEBUGMODE=1 -g3
+endif
+endif
 
 CFLAGS_RELEASE := -Iinclude $(WFLAGS) $(OFLAGS)
 CFLAGS_DEBUG := -Iinclude $(WFLAGS) $(DBGFLAGS)
@@ -251,7 +296,7 @@
 	$(call DELETE,$(LIB_INSTALL_PATH)/$(notdir $(ALLEGRO_LIB_FILE_RELEASE)))
 	$(call DELETE,$(LIB_INSTALL_PATH)/$(notdir $(ALLEGRO_LIB_FILE_DEBUG)))
 
-ifeq "$COMSPEC" ""
+ifeq "$(COMSPEC)" ""
 uninstall-core-examples:
 	$(call DELETE,$(patsubst %,$(BIN_INSTALL_PATH)/%,$(notdir $(CORE_EXAMPLES_EXE))))
 
@@ -290,22 +335,30 @@
 	$(CC) $^ -o $@ $(LDFLAGS) $(LINK_ALLEGRO)
 
 $(CORE_EXAMPLES_OBJ): examples/%.o: examples/%.c include/dumb.h
-	$(CC) -c $< -o $@ $(CFLAGS_RELEASE)
+	$(CC) $(CFLAGS_RELEASE) -c $< -o $@
 
 $(ALLEGRO_EXAMPLES_OBJ): examples/%.o: examples/%.c include/dumb.h include/aldumb.h
-	$(CC) -c $< -o $@ $(CFLAGS_RELEASE) -Wno-missing-declarations
+	$(CC) $(CFLAGS_RELEASE) -Wno-missing-declarations -c $< -o $@
 
 
 clean:
-	$(call DELETE,$(call FIX,$(OBJDIR_BASE)/release/*.o))
-	$(call DELETE,$(call FIX,$(OBJDIR_BASE)/debug/*.o))
-	$(call DELETE,$(call FIX,examples/*.o))
+	$(call DELETE,$(OBJDIR_BASE)/release/*.o)
+	$(call DELETE,$(OBJDIR_BASE)/debug/*.o)
+	$(call DELETE,examples/*.o)
 
 veryclean: clean
-	$(call DELETE,$(call FIX,$(CORE_LIB_FILE)))
-	$(call DELETE,$(call FIX,$(ALLEGRO_LIB_FILE)))
-	$(call DELETE,$(call FIX,$(CORE_EXAMPLES_EXE)))
-	$(call DELETE,$(call FIX,$(ALLEGRO_EXAMPLES_EXE)))
-
+	$(call DELETE,$(CORE_LIB_FILE))
+	$(call DELETE,$(ALLEGRO_LIB_FILE))
+	$(call DELETE,$(CORE_EXAMPLES_EXE))
+	$(call DELETE,$(ALLEGRO_EXAMPLES_EXE))
+
+distclean: veryclean
+	$(call DELETE,make/config.txt)
+	$(call DELETE,$(DUMBASK_EXE))
+
+
+else
+
+make-outdirs:  # don't make output before configuration
 
 endif # ifdef PLATFORM

=== debian/changelog ===
libdumb (1:0.9.3-7) unstable; urgency=medium

  * Team upload.
  * Update Vcs- urls to point to WIP Salsa repository.
  * Set "Rules-Requires-Root: no"

 -- Alexandre Detiste <tchet@debian.org>  Tue, 17 Dec 2024 21:12:36 +0100

libdumb (1:0.9.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062275

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 11:36:41 +0000

libdumb (1:0.9.3-6) unstable; urgency=low

  * I took over the package after it was unmaintained for a long time.
    See #626049 for a related orphaning.
  * Add Homepage and Vcs-* fields to debian/control.
  * Change versioned build dependency on liballegro4.2-dev to dependency
    on liballegro4-dev (Closes: #710601).
  * Change debian/copyright to format 1.0 and clarify license change
    (Closes: #533555).
  * Include watch file from Bart Martens.
  * Change to dh and compat 9, fix all lintian warnings.
  * Bump Standards-Version to 3.9.4.
  * Change to source format 3.0 (quilt).

 -- Tobias Hansen <thansen@debian.org>  Fri, 07 Jun 2013 23:06:45 +0200

libdumb (1:0.9.3-5.4) unstable; urgency=low

  * Non-maintainer upload.
  * No-change upload requested by Tobias, to fix multiarch-related
    coinstallability issues (Closes: #678062).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 21 Jun 2012 01:45:25 +0200

libdumb (1:0.9.3-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Also enable hardening LDFLAGS, patch from Simon Ruderich. (Closes: #658965)
  * Enable multiarch.

 -- Tobias Hansen <tobias.han@gmx.de>  Sat, 19 May 2012 03:41:34 +0200

libdumb (1:0.9.3-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Enabled hardened build flags (Closes: #658965)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 07 Apr 2012 18:04:36 +0200

libdumb (1:0.9.3-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update debian/rules to use new tail syntax (Closes: #470968)
    - use tail -n +2 instead of tail +2

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 01 Apr 2008 13:01:27 +0200

libdumb (1:0.9.3-5) unstable; urgency=critical

  * Set urgency=critical because of security fix.

  * debian/patches/100_CVE-2006-3668.diff:
    + Fix for CVE-2006-3668 "Heap-based buffer overflow in the it_read_envelope
      function in Dynamic Universal Music Bibliotheque (DUMB) 0.9.3 and
      earlier, and current CVS as of 20060716, allows user-complicit attackers
      to execute arbitrary code via a ".it" (Impulse Tracker) file with an
      enveloper with a large number of nodes." (Closes: #379064).

  * debian/control:
    + Set policy to 3.7.2.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 21 Jul 2006 11:07:45 +0200

libdumb (1:0.9.3-4) unstable; urgency=low

    + Build-depend on liballegro4.2-dev (>= 2:4.2.0-4) to fix the missing
      libxcursor-dev build-dependency (Closes: #360190).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 31 Mar 2006 11:21:00 +0200

libdumb (1:0.9.3-3) unstable; urgency=low

  * debian/rules
    + Removed the -lalleg_unsharable stripping.
  * debian/control:
    + Build-depend on liballegro4.2-dev (>= 2:4.2.0-2) (Closes: #360140).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 22:52:14 +0200

libdumb (1:0.9.3-2) unstable; urgency=low

  * Moved development to Alioth.
  * debian/rules
    + Switched to quilt for patch handling.
  * debian/control:
    + Build-depend on quilt.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 12:23:16 +0200

libdumb (1:0.9.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.2.1.
    + Bumped soname due to API changes.
    + Build-depend on liballegro 4.2 instead of 4.1.
  * debian/rules:
    + Replace DH_COMPAT with debian/compat and set its level to 4.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 14 Nov 2005 11:31:04 +0100

libdumb (1:0.9.2-5) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.
    + Removed leading "the" in short descriptions.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 23 Jul 2004 13:23:09 +0200

libdumb (1:0.9.2-4) unstable; urgency=low

  * Removed libc6-dev from the -dev packages' dependencies.
  * Set policy to 3.5.10.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 31 May 2003 00:43:41 +0200

libdumb (1:0.9.2-3) unstable; urgency=high

  * Upload with urgency=high so that libdumb enters testing ASAP (packages
    are identical to the ones in testing except the source package name) and
    we can remove "dumb".

 -- Samuel Hocevar <sam@zoy.org>  Thu, 22 May 2003 12:30:42 +0200

libdumb (1:0.9.2-2) unstable; urgency=low

  * Skipped version number to avoid package name conflicts in pool.

 -- Samuel Hocevar <sam@zoy.org>  Thu, 22 May 2003 12:30:41 +0200

libdumb (1:0.9.2-1) unstable; urgency=low

  * Renamed the source package to libdumb to fix a name collision.

 -- Samuel Hocevar <sam@zoy.org>  Sun, 11 May 2003 19:28:31 +0200

dumb (0.9.2-2) unstable; urgency=low

  * Fixed the library naming scheme.

 -- Samuel Hocevar <sam@zoy.org>  Sun, 27 Apr 2003 20:21:13 +0200

dumb (0.9.2-1) unstable; urgency=low

  * First Debian release (Closes: #190422).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 23 Apr 2003 19:06:43 +0200

=== debian/control ===
Source: libdumb
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 9), liballegro4-dev
Rules-Requires-Root: no
Standards-Version: 3.9.4
Homepage: http://dumb.sourceforge.net/
Vcs-Git: https://salsa.debian.org/games-team/libdumb.git
Vcs-Browser: https://salsa.debian.org/games-team/libdumb

Package: libdumb1t64
Provides: ${t64:Provides}
Replaces: libdumb1
Breaks: libdumb1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: dynamic universal music bibliotheque
 DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
 targets maximum accuracy to the original formats, with low-pass resonant
 filters for the IT files, accurate timing and pitching, and three resampling
 quality settings (aliasing, linear interpolation and cubic interpolation).
 .
 This package contains the libdumb1t64 runtime library, a standalone library
 for module playback. If you plan to use the Allegro library with your
 project, please consider the libaldmb1t64 library.

Package: libdumb1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdumb1t64 (= ${binary:Version}), ${misc:Depends}
Conflicts: libdumb0-dev
Description: development files for libdumb1t64
 DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
 targets maximum accuracy to the original formats, with low-pass resonant
 filters for the IT files, accurate timing and pitching, and three resampling
 quality settings (aliasing, linear interpolation and cubic interpolation).
 .
 This package contains the header files and static library needed to
 compile applications that use libdumb1.

Package: libaldmb1t64
Provides: ${t64:Provides}
Replaces: libaldmb1
Breaks: libaldmb1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: dynamic universal music bibliotheque, Allegro version
 DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
 targets maximum accuracy to the original formats, with low-pass resonant
 filters for the IT files, accurate timing and pitching, and three resampling
 quality settings (aliasing, linear interpolation and cubic interpolation).
 .
 This package contains the libaldmb1t64 runtime library, a library for module
 playback that uses the Allegro library. If you do not plan to use Allegro
 with your project, please consider the libdumb1t64 library.

Package: libaldmb1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libaldmb1t64 (= ${binary:Version}), libdumb1-dev, liballegro4-dev,
         ${misc:Depends}
Conflicts: libaldmb0-dev
Description: development files for libaldmb1t64
 DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
 targets maximum accuracy to the original formats, with low-pass resonant
 filters for the IT files, accurate timing and pitching, and three resampling
 quality settings (aliasing, linear interpolation and cubic interpolation).
 .
 This package contains the header files and static library needed to
 compile applications that use libaldmb1.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libdumb - uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS  := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Compilation options
export CONFIG_FLAGS="--prefix=/usr"

%:
	dh $@ --parallel

override_dh_auto_clean:
	$(MAKE) veryclean
	rm -f `find -name '*.a'` make/dumbask make/config.txt
	rm -Rf obj/unix/release/ lib/unix/
	rm -f libdumb.so.1.0.0 libaldmb.so.1.0.0 libdumb.a libaldmb.a
	dh_auto_clean

override_dh_auto_build:
	echo 'include make/unix.inc' > make/config.txt
	echo 'ALL_TARGETS := core core-examples core-headers' >> make/config.txt
	echo 'ALL_TARGETS += allegro allegro-examples allegro-headers' >> make/config.txt
	echo 'PREFIX := /usr' >> make/config.txt
	mkdir -p obj/unix/release/
	mkdir -p lib/unix/
	$(MAKE) lib/unix/libdumb.a
	$(MAKE) lib/unix/libaldmb.a
	cp lib/unix/libdumb.a .
	cp lib/unix/libaldmb.a .
	$(MAKE) clean
	$(MAKE) lib/unix/libdumb.a CFLAGS_EXTRA=-fPIC
	$(MAKE) lib/unix/libaldmb.a CFLAGS_EXTRA=-fPIC
	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,-soname,libdumb.so.1 -shared `sed -ne '/^CORE_MODULES :=/,/c$$/p' < Makefile | sed -e 's,\\\\,,' -e 's,.*/\\(.*\\)\\.c,obj/unix/release/\\1.o,' | tail -n +2` -o libdumb.so.1.0.0 -lm -lc
	ln -s libdumb.so.1.0.0 libdumb.so
	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,-soname,libaldmb.so.1 -shared `sed -ne '/^ALLEGRO_MODULES :=/,/c$$/p' < Makefile | sed -e 's,\\\\,,' -e 's,.*/\\(.*\\)\\.c,obj/unix/release/\\1.o,' | tail -n +2` -o libaldmb.so.1.0.0 -L. -ldumb `allegro-config --libs` -lm -lc
	rm -f libdumb.so

override_dh_auto_install:
	dh_install -plibdumb1t64 libdumb.so.1.0.0 usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibaldmb1t64 libaldmb.so.1.0.0 usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibdumb1-dev libdumb.a usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibaldmb1-dev libaldmb.a usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibdumb1-dev include/dumb.h usr/include
	dh_install -plibaldmb1-dev include/aldumb.h usr/include

override_dh_link:
	dh_link -plibdumb1t64 usr/lib/$(DEB_HOST_MULTIARCH)/libdumb.so.1.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libdumb.so.1
	dh_link -plibdumb1-dev usr/lib/$(DEB_HOST_MULTIARCH)/libdumb.so.1 usr/lib/$(DEB_HOST_MULTIARCH)/libdumb.so
	dh_link -plibaldmb1t64 usr/lib/$(DEB_HOST_MULTIARCH)/libaldmb.so.1.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libaldmb.so.1
	dh_link -plibaldmb1-dev usr/lib/$(DEB_HOST_MULTIARCH)/libaldmb.so.1 usr/lib/$(DEB_HOST_MULTIARCH)/libaldmb.so

override_dh_installdocs:
	dh_installdocs -plibdumb1t64
	dh_installdocs -plibaldmb1t64
	dh_installdocs -plibdumb1-dev --link-doc=libdumb1t64
	dh_installdocs -plibaldmb1-dev --link-doc=libdumb1t64

override_dh_installchangelogs:
	dh_installchangelogs release.txt

## libdumb 0.9.3-5.1-maemo1

=== debian/changelog ===
libdumb (1:0.9.3-5.1-maemo1) unstable; urgency=low

  * Packaging for Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 May 2011 19:33:27 +0200

=== debian/control ===
Source: libdumb
Section: libs
Priority: optional
Maintainer: Debian allegro packages maintainers <pkg-allegro-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0), quilt, liballegro4.2-dev (>= 2:4.2.0-4)
Standards-Version: 3.7.2

Package: libdumb1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: dynamic universal music bibliotheque
 DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
 targets maximum accuracy to the original formats, with low-pass resonant
 filters for the IT files, accurate timing and pitching, and three resampling
 quality settings (aliasing, linear interpolation and cubic interpolation).
 .
 This package contains the libdumb1 runtime library, a standalone library
 for module playback. If you plan to use the Allegro library with your
 project, please consider the libaldmb1 library.

Package: libdumb1-dev
Section: libdevel
Architecture: any
Depends: libdumb1 (= ${Source-Version})
Conflicts: libdumb0-dev
Description: development files for libdumb1
 DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
 targets maximum accuracy to the original formats, with low-pass resonant
 filters for the IT files, accurate timing and pitching, and three resampling
 quality settings (aliasing, linear interpolation and cubic interpolation).
 .
 This package contains the header files and static library needed to
 compile applications that use libdumb1.

Package: libaldmb1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: dynamic universal music bibliotheque, Allegro version
 DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
 targets maximum accuracy to the original formats, with low-pass resonant
 filters for the IT files, accurate timing and pitching, and three resampling
 quality settings (aliasing, linear interpolation and cubic interpolation).
 .
 This package contains the libaldmb1 runtime library, a library for module
 playback that uses the Allegro library. If you do not plan to use Allegro
 with your project, please consider the libdumb1 library.

Package: libaldmb1-dev
Section: libdevel
Architecture: any
Depends: libaldmb1 (= ${Source-Version}), libdumb1-dev, liballegro4.2-dev
Conflicts: libaldmb0-dev
Description: development files for libaldmb1
 DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
 targets maximum accuracy to the original formats, with low-pass resonant
 filters for the IT files, accurate timing and pitching, and three resampling
 quality settings (aliasing, linear interpolation and cubic interpolation).
 .
 This package contains the header files and static library needed to
 compile applications that use libaldmb1.

## libdumb 0.9.3-5.1-maemo2

=== debian/changelog ===
libdumb (1:0.9.3-5.1-maemo2) unstable; urgency=low

  * Packaging for Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 12:33:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libdumb
 Section: libs
 Priority: optional
-Maintainer: Debian allegro packages maintainers <pkg-allegro-maintainers@lists.alioth.debian.org>
-Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
-Build-Depends: debhelper (>= 4.0), quilt, liballegro4.2-dev (>= 2:4.2.0-4)
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Build-Depends: debhelper (>= 4.0), quilt, liballeg4.4-dev (>= 2:4.4.2)
 Standards-Version: 3.7.2
 
 Package: libdumb1
@@ -51,7 +50,7 @@
 Package: libaldmb1-dev
 Section: libdevel
 Architecture: any
-Depends: libaldmb1 (= ${Source-Version}), libdumb1-dev, liballegro4.2-dev
+Depends: libaldmb1 (= ${Source-Version}), libdumb1-dev, liballegro4.4-dev
 Conflicts: libaldmb0-dev
 Description: development files for libaldmb1
  DUMB is a tracker library with support for IT, XM, S3M and MOD files. It

## libdumb 0.9.3-5.1-maemo3

=== debian/changelog ===
libdumb (1:0.9.3-5.1-maemo3) unstable; urgency=low

  * Uses allegro4.4

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 12:33:27 +0200

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
 Package: libaldmb1-dev
 Section: libdevel
 Architecture: any
-Depends: libaldmb1 (= ${Source-Version}), libdumb1-dev, liballegro4.4-dev
+Depends: libaldmb1 (= ${Source-Version}), libdumb1-dev, liballeg4.4-dev
 Conflicts: libaldmb0-dev
 Description: development files for libaldmb1
  DUMB is a tracker library with support for IT, XM, S3M and MOD files. It

## libdumb 0.9.3-5.1-maemo4

=== debian/changelog ===
libdumb (1:0.9.3-5.1-maemo4) unstable; urgency=low

  * Uses allegro4.2 (seems to work better than 4.2)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 17 Jan 2014 20:45:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 4.0), quilt, liballeg4.4-dev (>= 2:4.4.2)
+Build-Depends: debhelper (>= 4.0), quilt, liballegro4.2-dev
 Standards-Version: 3.7.2
 
 Package: libdumb1

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libdumb - uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Compilation options
export CONFIG_FLAGS="--prefix=/usr"

build: build-stamp
build-stamp:
	dh_testdir
	dh_clean -k
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	dh_installdirs -p libdumb1 usr/lib usr/share/doc/libdumb1
	dh_installdirs -p libdumb1-dev usr/lib usr/include usr/share/doc
	dh_installdirs -p libaldmb1 usr/lib usr/share/doc/libaldmb1
	dh_installdirs -p libaldmb1-dev usr/lib usr/include usr/share/doc

	echo 'include make/unix.inc' > make/config.txt
	echo 'ALL_TARGETS := core core-examples core-headers' >> make/config.txt
	echo 'ALL_TARGETS += allegro allegro-examples allegro-headers' >> make/config.txt
	echo 'PREFIX := /usr' >> make/config.txt

	mkdir -p obj/unix/release/
	mkdir -p lib/unix/

	$(MAKE) lib/unix/libdumb.a
	$(MAKE) lib/unix/libaldmb.a

	cp lib/unix/libdumb.a debian/libdumb1-dev/usr/lib/
	cp lib/unix/libaldmb.a debian/libaldmb1-dev/usr/lib/

	$(MAKE) clean

	$(MAKE) lib/unix/libdumb.a CFLAGS_EXTRA=-fPIC
	$(MAKE) lib/unix/libaldmb.a CFLAGS_EXTRA=-fPIC

	$(CC) -Wl,-soname,libdumb.so.1 -shared `sed -ne '/^CORE_MODULES :=/,/c$$/p' < Makefile | sed -e 's,\\\\,,' -e 's,.*/\\(.*\\)\\.c,obj/unix/release/\\1.o,' | tail -n +2` -o debian/libdumb1/usr/lib/libdumb.so.1.0.0 -lm -lc
	ln -s libdumb.so.1.0.0 debian/libdumb1/usr/lib/libdumb.so
	$(CC) -Wl,-soname,libaldmb.so.1 -shared `sed -ne '/^ALLEGRO_MODULES :=/,/c$$/p' < Makefile | sed -e 's,\\\\,,' -e 's,.*/\\(.*\\)\\.c,obj/unix/release/\\1.o,' | tail -n +2` -o debian/libaldmb1/usr/lib/libaldmb.so.1.0.0 -Ldebian/libdumb1/usr/lib/ -ldumb `allegro-config --libs` -lm -lc
	rm -f debian/libdumb1/usr/lib/libdumb.so

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) veryclean
	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
	rm -f `find -name '*.a'` make/dumbask make/config.txt
	rm -Rf obj/unix/release/ lib/unix/

	dh_clean

install: build
	dh_testdir
	dh_testroot

	ln -s libdumb.so.1.0.0 debian/libdumb1/usr/lib/libdumb.so.1
	ln -s libaldmb.so.1.0.0 debian/libaldmb1/usr/lib/libaldmb.so.1
	ln -s libdumb.so.1 debian/libdumb1-dev/usr/lib/libdumb.so
	cp include/dumb.h debian/libdumb1-dev/usr/include
	ln -s libaldmb.so.1 debian/libaldmb1-dev/usr/lib/libaldmb.so
	cp include/aldumb.h debian/libaldmb1-dev/usr/include

	ln -s libdumb1 debian/libdumb1-dev/usr/share/doc/libdumb1-dev
	ln -s libaldmb1 debian/libaldmb1-dev/usr/share/doc/libaldmb1-dev

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -p libdumb1 readme.txt docs
	dh_installdocs -p libaldmb1 readme.txt docs
	dh_installexamples -p libdumb1 examples/*
	dh_installexamples -p libaldmb1 examples/*
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -p libdumb1 release.txt
	dh_installchangelogs -p libaldmb1 release.txt
	dh_link
	dh_strip
	dh_compress -X examples/
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl

	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libdumb 0.9.3-5.1-maemo5

=== debian/changelog ===
libdumb (1:0.9.3-5.1-maemo5) unstable; urgency=low

  * Fix more for allegro4.2

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 18 Jan 2014 10:41:27 +0200

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
 Package: libaldmb1-dev
 Section: libdevel
 Architecture: any
-Depends: libaldmb1 (= ${Source-Version}), libdumb1-dev, liballeg4.4-dev
+Depends: libaldmb1 (= ${Source-Version}), libdumb1-dev, liballegro4.2-dev
 Conflicts: libaldmb0-dev
 Description: development files for libaldmb1
  DUMB is a tracker library with support for IT, XM, S3M and MOD files. It
